API Explorer 936 endpoints

Update ATM Supported Currencies

PUT /obp/v7.0.0/banks/BANK_ID/atms/ATM_ID/supported-currencies

OBPv4.0.0-updateAtmSupportedCurrencies Roles: CanUpdateAtm(per bank),CanUpdateAtmAtAnyBank ATM

Update ATM Supported Currencies.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

ATM_ID: atme-9a0f-4bfa-b30b-9003aa467f51

BANK_ID: gh.29.uk

JSON response body fields (2)
atm_id
atme-9a0f-4bfa-b30b-9003aa467f51
supported_currencies
["EUR","MXN","USD"]
Example request body
{
  "supported_currencies": [
    "EUR",
    "MXN",
    "USD"
  ]
}
Example success response
{
  "atm_id": "atme-9a0f-4bfa-b30b-9003aa467f51",
  "supported_currencies": [
    "EUR",
    "MXN",
    "USD"
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 updateAtmSupportedCurrencies Originally /obp/v4.0.0/banks/BANK_ID/atms/ATM_ID/supported-currencies